/****************************************************************
 *                                                              *
 *                        I C A O   M a p  -                    *
 *                                                              *
 *             A n   A v i a t i o n   U t i l i t y            *
 *                                                              *
 *                                                              *
 *            Copyright (C) 1993, 1994  Martin Pauly            *
 *                                                              *
 *   This file may be freely distributed only if it includes    *
 *                the above copyright notice.                   *
 *                                                              *
 ****************************************************************/

/* color management */


#define MASK_CTR   0
#define MASK_BLACK 1

/* plane usage:

     pixel(i)                      -> normal color i
     pixel(i) | plane_mask(0)      -> color i, but CTR-pink shaded
     pixel(i) | plane_mask(1)      -> black
*/


/* get white and black pixvalues */

unsigned long blackpix(void);
unsigned long whitepix(void);


/* get pixel values of all colors and plane masks */

unsigned long pixel (int i);
unsigned long plane_mask (int i);


/* check if extended color system is supported */

int extendedcolor(void);



/* initialize system */

void initcolor (GC *gc);



/* free colors */

void freecolor (GC *gc);
















