#ifndef ICAO_H
#define ICAO_H

#include <Xm/Xm.h>



enum unit_d { km = 0,          /* kilometers */ 
	      nm = 1 };        /* nautical miles */

enum unit_a { mtr = 0,         /* feet */
	      ft = 1 } ;       /* metres */

enum unit_s { kmh = 0,         /* kilometers per hour */
              kts = 1,         /* knots */
              mps = 2 };       /* metres per second */


extern enum unit_d unit_distance;
extern enum unit_s unit_speed;
extern enum unit_a unit_altitude;

extern int map_projection;

enum distance_function { pauly, FAI };

extern enum distance_function config_distance_func;


extern Display *display;

extern Widget drawingarea;

extern char *mapfiles[];
extern int next_mapfile;


#endif
